> ## Documentation Index
> Fetch the complete documentation index at: https://docs.windermere.com/llms.txt
> Use this file to discover all available pages before exploring further.

# listing

> listing



## OpenAPI

````yaml /windermereapi(1).json get /listings/{moxi_works_listing_id}
openapi: 3.0.1
info:
  title: WindermereAPI
  description: ''
  version: '1.0'
servers:
  - url: https://api.windermere.com/v1/api
security:
  - apiKeyHeader: []
  - apiKeyQuery: []
paths:
  /listings/{moxi_works_listing_id}:
    get:
      tags:
        - Endpoints
        - Listings
      summary: listing
      description: listing
      operationId: listing
      parameters:
        - name: moxi_works_listing_id
          in: path
          required: true
          schema:
            type: string
        - name: moxi_works_company_id
          in: query
          description: >-
            A valid MoxiWorks Company ID. Use Company Endpoint to determine what
            moxi_works_company_id you can use.
          schema:
            type: string
        - name: parent_company_id
          in: query
          description: >-
            This is the numeric_id or moxi_works_company_id of a company that is
            considered to be a parent company in the MoxiWorks Platform. This
            request attribute has two functions:


            1. It provides for a broad scope by which partners may be afforded
            permissions to perform MoxiWorks Platform actions, in scenarios
            where a partner does business with a parent company in the MoxiWorks
            System.

            2. It provides broad scope under which agents may be looked up using
            the source_agent_id request attribute in many scenarios across
            different MoxiWorks Platform endpoints and actions.


            Please note that this attribute cannot be used as a replacement for
            the moxi_works_company_id request attribute in scenarios where the
            moxi_works_company_id request attribute is required by the action.


            Please note that this attribute cannot be used to broaden scope of
            any request where the scope of the request is defined by the
            moxi_works_company_id request attribute.


            Please note that when passed in conjunction with the
            moxi_works_company_id request attribute, the value of
            moxi_works_company_id request attribute must be the numeric id form.


            Any use of this request attribute must be coordinated with MoxiWorks
            Platform Partner services. Please reach out to partner services for
            more information.
          schema:
            type: string
        - name: moxi_works_listing_id
          in: query
          description: >-
            his is the MoxiWorks Platform ID of the Listing which you are
            requesting to Show. This data is required and must reference a valid
            MoxiWorks Listing ID for your Show request to be accepted.
          required: true
          schema:
            type: string
        - name: underscore_response
          in: query
          description: >-
            When this attribute is passed as true, the json keys of the response
            will be underscored. The default json key format for listing
            responses is camel casing.
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Listing'
              example:
                LotSizeAcres: 0
                BathroomsFull: 0
                BathroomsHalf: 0
                BathroomsOneQuarter: {}
                BathroomsPartial: {}
                BathroomsThreeQuarter: {}
                BathroomsTotalInteger: 0
                BathroomsTotal: 0
                BedroomsTotal: 0
                PublicTitle: string
                PublicRemarks: string
                ModificationTimestamp: string
                StatusChangeDate: string
                InternetAddressDisplayYN: true
                DaysOnMarket: 0
                ListingContractDate: string
                CreatedDate: string
                ElementarySchool: string
                GarageSpaces: 0
                WaterfrontYN: true
                HighSchool: string
                AssociationFee: {}
                ListOfficeName: string
                ListPrice: 0
                ListingID: string
                ListAgentFullName: string
                ListAgentUUID: string
                ListAgentOfficeID: string
                ListAgentMoxiWorksOfficeID: string
                SecondaryListAgentFullName: string
                SecondaryListAgentUUID: string
                SchoolDistrict: string
                Address: string
                Address2: {}
                City: string
                CountyOrParish: string
                Latitude: string
                Longitude: string
                StateOrProvince: string
                PostalCode: string
                Community: string
                LotSizeSquareFeet: {}
                InternetEntireListingDisplayYN: true
                MiddleOrJuniorSchool: string
                ListOfficeAOR: string
                ListOfficeAORArea: string
                PoolYN: true
                PropertyType: string
                TaxAnnualAmount: 0
                TaxYear: 0
                SingleStory: true
                LivingArea: 0
                ViewYN: true
                YearBuilt: 0
                OnMarket: true
                Status: string
                MoxiWorksListingId: string
                AgentCreatedListing: true
                VirtualTourURL: string
                SharedPartnerData:
                  attribute_1: string
                  attribute_2: string
                TaxParcelId: string
                ListingURL: string
                PropertyFeatures:
                  - PropertyFeatureName: string
                    PropertyFeatureValues:
                      - string
                CompanyListingAttributes:
                  - AttributeId: string
                    AttributeName: string
                OpenHouse:
                  - Date: string
                    StartTime: string
                    EndTime: string
                    VirtualOpenHouseYN: true
                    VirtualOpenHouseURL: {}
                    Comment: {}
                ImagesLastModified: string
                ListingImages:
                  - FullURL: string
                    GalleryURL: string
                    RawURL: string
                    SmallURL: string
                    ThumbURL: string
                    Title: string
                    IsMainListingImage: true
                    Caption: string
                    Description: string
                    Width: 0
                    Height: 0
                    MimeType: string
                BuyerCommissionType: string
                BuyerCommissionValue: string
                VendorModificationTimestamp: string
components:
  schemas:
    Listing:
      type: object
      properties:
        LotSizeAcres:
          type: integer
        BathroomsFull:
          type: integer
        BathroomsHalf:
          type: integer
        BathroomsOneQuarter: {}
        BathroomsPartial: {}
        BathroomsThreeQuarter: {}
        BathroomsTotalInteger:
          type: integer
        BathroomsTotal:
          type: integer
        BedroomsTotal:
          type: integer
        PublicTitle:
          type: string
        PublicRemarks:
          type: string
        ModificationTimestamp:
          type: string
        StatusChangeDate:
          type: string
        InternetAddressDisplayYN:
          type: boolean
        DaysOnMarket:
          type: integer
        ListingContractDate:
          type: string
        CreatedDate:
          type: string
        ElementarySchool:
          type: string
        GarageSpaces:
          type: integer
        WaterfrontYN:
          type: boolean
        HighSchool:
          type: string
        AssociationFee: {}
        ListOfficeName:
          type: string
        ListPrice:
          type: integer
        ListingID:
          type: string
        ListAgentFullName:
          type: string
        ListAgentUUID:
          type: string
        ListAgentOfficeID:
          type: string
        ListAgentMoxiWorksOfficeID:
          type: string
        SecondaryListAgentFullName:
          type: string
        SecondaryListAgentUUID:
          type: string
        SchoolDistrict:
          type: string
        Address:
          type: string
        Address2: {}
        City:
          type: string
        CountyOrParish:
          type: string
        Latitude:
          type: string
        Longitude:
          type: string
        StateOrProvince:
          type: string
        PostalCode:
          type: string
        Community:
          type: string
        LotSizeSquareFeet: {}
        InternetEntireListingDisplayYN:
          type: boolean
        MiddleOrJuniorSchool:
          type: string
        ListOfficeAOR:
          type: string
        ListOfficeAORArea:
          type: string
        PoolYN:
          type: boolean
        PropertyType:
          type: string
        TaxAnnualAmount:
          type: integer
        TaxYear:
          type: integer
        SingleStory:
          type: boolean
        LivingArea:
          type: integer
        ViewYN:
          type: boolean
        YearBuilt:
          type: integer
        OnMarket:
          type: boolean
        Status:
          type: string
        MoxiWorksListingId:
          type: string
        AgentCreatedListing:
          type: boolean
        VirtualTourURL:
          type: string
        SharedPartnerData:
          type: object
          properties:
            attribute_1:
              type: string
            attribute_2:
              type: string
        TaxParcelId:
          type: string
        ListingURL:
          type: string
        PropertyFeatures:
          type: array
          items:
            type: object
            properties:
              PropertyFeatureName:
                type: string
              PropertyFeatureValues:
                type: array
                items:
                  type: string
        CompanyListingAttributes:
          type: array
          items:
            type: object
            properties:
              AttributeId:
                type: string
              AttributeName:
                type: string
        OpenHouse:
          type: array
          items:
            type: object
            properties:
              Date:
                type: string
              StartTime:
                type: string
              EndTime:
                type: string
              VirtualOpenHouseYN:
                type: boolean
              VirtualOpenHouseURL: {}
              Comment: {}
        ImagesLastModified:
          type: string
        ListingImages:
          type: array
          items:
            type: object
            properties:
              FullURL:
                type: string
              GalleryURL:
                type: string
              RawURL:
                type: string
              SmallURL:
                type: string
              ThumbURL:
                type: string
              Title:
                type: string
              IsMainListingImage:
                type: boolean
              Caption:
                type: string
              Description:
                type: string
              Width:
                type: integer
              Height:
                type: integer
              MimeType:
                type: string
        BuyerCommissionType:
          type: string
        BuyerCommissionValue:
          type: string
        VendorModificationTimestamp:
          type: string
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      name: x-api-key
      in: header
    apiKeyQuery:
      type: apiKey
      name: api-key
      in: query

````